## ros-noetic-vision-visp 0.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(vision_visp)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-vision-visp (0.13.1-1focal) focal; urgency=high



 -- Fabien Spindler <fabien.spindler@inria.fr>  Sat, 19 Feb 2022 23:00:00 -0000

ros-noetic-vision-visp (0.13.0-1focal) focal; urgency=high



 -- Fabien Spindler <fabien.spindler@inria.fr>  Tue, 15 Feb 2022 23:00:00 -0000

ros-noetic-vision-visp (0.12.1-1focal) focal; urgency=high

  * CMake fixes
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Wed, 21 Apr 2021 22:00:00 -0000

ros-noetic-vision-visp (0.12.0-1focal) focal; urgency=high

  * Fix warnings detected by catkin_lint
  * Fix warning detected during packaging
  * Update README with Noetic support
  * Use python3 on neotic
  * Fix compat with Ubuntu 20.04
  * Moves tracker_ref_frame from extern to param (#97)
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Tue, 20 Apr 2021 22:00:00 -0000

ros-noetic-vision-visp (0.11.0-1focal) focal; urgency=high

  * Update with Melodic
  * Fix memory leak
  * Introduce vpMbGenericTracker and visp3 headers in visp_auto_tracker
  * Introduce visp3 headers
  * Code indentation
  * Introduce vpMbGenericTracker
  * Introduce vpHandEyeCalibration class
  * Fix build for melodic (Closes #88)
  * Fix compilation on 17.04 by adding missing boost/format.hpp inclusion
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Sun, 26 May 2019 22:00:00 -0000

ros-noetic-vision-visp (0.10.0-1focal) focal; urgency=high

  * kinetic-0.9.3
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Thu, 09 Feb 2017 23:00:00 -0000

ros-noetic-vision-visp (0.9.3-1focal) focal; urgency=high

  * kinetic-0.9.2
  * jade-0.9.1
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Thu, 19 May 2016 22:00:00 -0000

ros-noetic-vision-visp (0.9.1-1focal) focal; urgency=high

  * jade-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-noetic-vision-visp (0.9.0-1focal) focal; urgency=high

  * jade-0.8.0
  * Prepare changelogs
  * Fix doc url location
  * 0.7.3
  * Prepare changelogs
  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-noetic-vision-visp (0.8.0-1focal) focal; urgency=high

  * Fix doc url location
  * 0.7.3
  * Prepare changelogs
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Tue, 31 Mar 2015 22:00:00 -0000

ros-noetic-vision-visp (0.7.3-1focal) focal; urgency=high

  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <fabien.spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-noetic-vision-visp (0.7.2-1focal) focal; urgency=high



 -- Fabien Spindler <fabien.spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-noetic-vision-visp (0.7.0-1focal) focal; urgency=high

  * Add missing CMakeLists.txt to vision_visp metapackage
  * Identify Fabien as the principal maintainer.
  * Add vision_visp metapackage.
  * Contributors: Thomas Moulard

 -- Fabien Spindler <fabien.spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-vision-visp
Section: misc
Priority: optional
Maintainer: Fabien Spindler <fabien.spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/vision_visp
Standards-Version: 3.9.2

Package: ros-noetic-vision-visp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-visp-auto-tracker, ros-noetic-visp-bridge, ros-noetic-visp-camera-calibration, ros-noetic-visp-hand2eye-calibration, ros-noetic-visp-tracker
Description: Virtual package providing ViSP related packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-vision-visp//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
